Bug 1675764 - python-oauthlib: FTBFS in Fedora rawhide/f30
Summary: python-oauthlib: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-oauthlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:37 UTC by Fedora Release Engineering
Modified: 2019-03-31 00:04 UTC (History)
7 users (show)

Fixed In Version: python-oauthlib-2.1.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-31 00:04:28 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:37 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:37 UTC, Fedora Release Engineering
no flags Details
state.log (487 bytes, text/plain)
2019-02-11 21:37 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:37:14 UTC
python-oauthlib failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32458837


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix python-oauthlib at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-oauthlib will be orphaned. Before branching of Fedora 31,
python-oauthlib will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:37:16 UTC
Created attachment 1532304 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:37:18 UTC
Created attachment 1532305 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:37:19 UTC
Created attachment 1532306 [details]
state.log

Comment 4 Miro Hrončok 2019-03-27 13:14:36 UTC
When bootstrapping Python 3.8, I've realized python-oauthlib FTBFS with:

No matching package to install: 'python2-jwt'

Not being able to rebuild python-oauthlib for Python 3.8 blocks cloud-init and some might consider that one important.

One possible solution is to drop python2-oauthlib and python2-requests-oauthlib and inform all consumers.

Another solution is to reintroduce python2-jwt - Carl, have you anticipated this when doing: https://src.fedoraproject.org/rpms/python-jwt/c/af3e1aa4bf3b6dd72fcd8fcc45a5b95088d3e97b?branch=master - e.g. was it intentional or just an overlook? Should we revert?

Comment 5 Carl George 2019-03-27 14:53:28 UTC
I thought there was was a bugzilla asking to disable the python2-jwt subpackage, but now that I look I can't find it.  I must have lumped that one in with others I was taking the same action on, sorry about that.

I have no preference, I'm happy to bring back python2-jwt.  I could change the upper limit from `< 30` to `< 32`, or I could remove that condition entirely until we're ready to drop it again.  Whichever you think makes more sense.

Comment 6 Miro Hrončok 2019-03-27 15:10:40 UTC
I'm OK with creating some pressure and informing the dependent packages that python2-jwt will be gone in Fedora 32.
However stay tuned for the Fedora 31 change that let's you basically do that in a documented way.

For now, please just bring it back for 31. And we can figure out the details later.

Comment 7 John Dennis 2019-03-27 16:00:38 UTC
I thought F32 was the release when python2 finally disappeared, thus most of the spec files I maintain (or used to maintain) were conditionalized to build python2 if fedora < 32. Although I personally am fine with dropping python2 in F31 to put pressure on the transition my concern is the enormous web of dependencies if we don't all pull the switch at the same time. But the https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3 page says python2 subpackages are being removed in F30. Bottom line, I'm a bit confuses as to when the python2 subpackages are supposed to be removed.

Comment 8 Fedora Update System 2019-03-27 16:04:31 UTC
python-jwt-1.7.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-33d482b714

Comment 9 Miro Hrončok 2019-03-27 16:12:23 UTC
> I thought F32 was the release when python2 finally disappeared.

I wonder what makes people create such assumptions. What was it for you?


> Although I personally am fine with dropping python2 in F31 to put pressure on the transition

Thanks!


> my concern is the enormous web of dependencies if we don't all pull the switch at the same time.

We are slowly reducing the web of dependencies. Removing everything at the same time would unfortunately currently break Fedora. Hopefully we can do that one day.


> I'm a bit confuses as to when the python2 subpackages are supposed to be removed.

Short answer: When nothing else depends on them.

Longer answer: We are actively trying to speed that up by breaking dependency cycles, removing optimal dependencies, announcing big but isolated removals (like [Sphinx2] or [Django20]), removing old unused software, nonrepsonsive maintainer policies and such. It is tedious but it doesn't break things (much).

[Sphinx2] https://fedoraproject.org/wiki/Changes/Sphinx2
[Django20] https://fedoraproject.org/wiki/Changes/Django20

Comment 10 Carl George 2019-03-27 16:13:06 UTC
I've re-added the python2 subpackage in 1.7.1-2, and built it for rawhide (https://koji.fedoraproject.org/koji/buildinfo?buildID=1239767) and f30 (https://koji.fedoraproject.org/koji/buildinfo?buildID=1239769).  I also submitted the f30 update (see comment 8) and added an override (https://bodhi.fedoraproject.org/overrides/python-jwt-1.7.1-2.fc30).

Comment 11 Miro Hrončok 2019-03-27 16:26:41 UTC
> removing optimal dependencies

I mean optional.

> I've re-added the python2 subpackage in 1.7.1-2...

Thanks Carl.

I've built python-oauthlib-2.1.0-2.fc31 in rawhide. i see no reason to submit it as an update to f30 as well, so let this be closed by your update.

Comment 12 Miro Hrončok 2019-03-27 16:27:52 UTC
Also, python-oauthlib-2.1.0-2.fc31 builds fine against Python 3.8.

Comment 13 Fedora Update System 2019-03-27 18:18:37 UTC
python-jwt-1.7.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-33d482b714

Comment 14 Fedora Update System 2019-03-31 00:04:28 UTC
python-jwt-1.7.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.